Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modules
Class BSXModule

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--modules.BSXModule

public class BSXModule
extends java.awt.Panel
implements Module

The ultimate BSX module implements most of the common used BSX controll sequences.

Features:

- a Statemachine to parse the Strings passed by the telnet
- a own package named bsx, for Window and Polygon handling terrible english because my native language is german

TODO:

- more BSX Sequences
- Documentaion

Author:
  Thomas Kriegelstein
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `clientVersion` Client Version

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`BSXModule()`

Method Summary
`void` | `addNotify()` Adds two Buttons to the Panel and instanciates a BSXWindow.
`void` | `connect(java.lang.String host, int port)` do nothing
`void` | `disconnect()` do nothing
`boolean` | `handleEvent(java.awt.Event e)` Java 1.0 eventhandling routines.
`static void` | `main(java.lang.String[] args)` a main for test-purposes
`java.lang.String` | `receive(java.lang.String s)` This method is called by the telnet, so that we can parse the String.
`void` | `setLoader(java.lang.Object o)` register o as our parent

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### clientVersion

    protected java.lang.String clientVersion

  Client Version

Constructor Detail

### BSXModule

    public BSXModule()

Method Detail

### setLoader

    public void setLoader(java.lang.Object o)

  register o as our parent
  Specified by:
    setLoader in interface Module

### connect

    public void connect(java.lang.String host,
                        int port)

  do nothing
  Specified by:
    connect in interface Module

### disconnect

    public void disconnect()

  do nothing
  Specified by:
    disconnect in interface Module

### receive

    public java.lang.String receive(java.lang.String s)

  This method is called by the telnet, so that we can parse the String. Prints out the filtered String if logging s enabled.
  Specified by:
    receive in interface Module
  Parameters:
    `String` - s the String to be parsed
  Returns:
    a filtered String with no BSX sequences in it

### addNotify

    public void addNotify()

  Adds two Buttons to the Panel and instanciates a BSXWindow.
  Overrides:
    addNotify in class java.awt.Panel

### handleEvent

    public boolean handleEvent(java.awt.Event e)

  Java 1.0 eventhandling routines.
  Parameters:
    `Event` - e
  Returns:
    true if Event has been recognized and fullfilled.
  Overrides:
    handleEvent in class java.awt.Component

### main

    public static void main(java.lang.String[] args)

  a main for test-purposes

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD